This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 623609 - CVE-2010-2935 CVE-2010-2936 openoffice.org various flaws [fedora-all]
CVE-2010-2935 CVE-2010-2936 openoffice.org various flaws [fedora-all]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2010-2935 CVE-2010-2936
  Show dependency treegraph
 
Reported: 2010-08-12 06:01 EDT by Jan Lieskovsky
Modified: 2015-04-07 10:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 10:25:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-08-12 06:01:10 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=622529

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2010-08-12 06:01:51 EDT
    Adding parent bug CVE-2010-2936
    New bodhi update url:
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=622529,622555
Comment 2 Jan Lieskovsky 2010-08-12 10:25:45 EDT
The impact of these two flaws, as present in openoffice.org-impress
package, shipped with Fedora release of 12 and 13 is mitigated by
standard glibc protection mechanisms (it properly detects the invalid
free() [CVE-2010-2935] and invalid pointer dereference [CVE-2010-2936]
attempts and aborts the relevant binary sooner, it can do any further
harm).

Red Hat Security Response Team does not consider a user-assisted crash
of a client application, such as OpenOffice.org Impress tool, to be
a security issue.

Note You need to log in before you can comment on or make changes to this bug.